> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Cargar archivos zip (más de 6 MB)

Debido a una limitación técnica del proveedor de nube AWS, la carga de archivos de más de 6 MB debe realizarse en 2 pasos:

#### **1. Solicita el enlace prefirmado para cargar el archivo directamente.** <a href="#step1" id="step1"></a>

Como entrada:

* `fileType` - `yield` O `soil` O `applied` O `adapt` O `boundary`,
* `farmUuid` (opcional): UUID de la finca a la que se importará el archivo.

Como salida:

* `uuid` : el UUID esperado después de cargar y procesar el archivo,
* `farmUuid` : igual que en la entrada,
* `fileType` : igual que en la entrada,
* `s3Url` : la URL utilizada para cargar el archivo,
* `s3Fields` : atributos que se deben incluir en el formulario de carga del archivo.

Los detalles sobre cómo usar `s3Url` y `s3Fields` se describen en el segundo paso.

Los atributos solo son válidos durante 60 minutos para cargar el archivo.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Envía un archivo local a s3Url con los atributos de formulario predefinidos de s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Las notificaciones sobre el procesamiento se enviarán mediante el mecanismo de suscripción descrito en\
[1. Suscripción: Obtener eventos](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
El encabezado de respuesta incluye un encabezado `Etag` que, por ejemplo, puede aparecer como `Etag: "6fd3e76992738357ab50039f2c60024e"`. Este valor se utiliza posteriormente en GraphQL [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) para supervisar el progreso del procesamiento, así como la asociación con las entidades "Field", "AsAppliedDataset", "YieldDataset" y "SoilDataset".
{% endhint %}

{% hint style="info" %}
Usa `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
